Sync QT_MIN_VERSION with KF's REQUIRED_QT_VERSION

In KF we already looking for 5.15.2
and looking something lower than that
is a bit meaningless
2 jobs for !18 with work/sync_qt_min_version in 1 minute and 30 seconds (queued for 3 minutes and 33 seconds)
latest merge request